using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Back.Program.Common.Model
{
    [Table("api_header")]
    public class APIHeader
    {
        [Key]
        public string specific_id { get; set; }

        public DateTime connect_date { get; set; }
        public string h_key { get; set; }
        public string h_value { get; set; }
    }

    public class SessionData
    {
        public string key { get; set; }
        public string value { get; set; }
    }
}
/*
 h_key : h_value
 iOS_AM_Connect_Key
 And_AM_Connect_Key
 Web_AM_Connect_Key
*/