using Back.Program.Common.Model;
using Version = Back.Program.Models.Entities.Version;

namespace Back.Program.Repositories.V1.Interfaces;

public interface IAppRepository
{
    Task<APIHeader?> FindHeader(string specific);
    Task<Version?> FindVersion(string type);
    Task<RefreshToken?> FindRefreshToken(string refresh);
}