using Back.Program.Common.Model;
using Back.Program.Models.Entities;

namespace Back.Program.Repositories.V1.Interfaces
{
    public interface IUserRepository
    {
        Task<Login?> FindLogin(string accType, string snsId);
        Task<User?> FindUser(string uid);
        Task<RefreshToken?> FindRefreshToken(string uid);
        Task<List<AcademyName>> FindAcademies(string uid);
        Task<bool> SaveChanges();
    }
}