using Back.Program.Common.Model;

namespace Back.Program.Services.V1.Interfaces;

public interface IKakaoService
{
    Task<string> GetAccessToken(string code);
    Task<string> GetAuthorizationUrl(string scope);
    Task<(bool Success, string Response)> Redirect(string code);
    Task<(bool Success, string Response)> Logout(string accessToken);
    Task<(bool Success, string Response)> Unlink(string accessToken);
    Task<(bool Success, string Response)> UserMe(string accessToken);
}