# 2025년 3월 To-do
## 6일 (목)
### 1. PUSH API 만들기
1. [X] 푸시 목록 확인 : [./push]
2. [X] 푸시 만들기 [./push/create]
3. [ ] 푸시 삭제하기 [./push/delete] 
4. [ ] 사용자가 받은 전체 푸시 확인 [./push/list]

### 2. 학원 구분이 가능하게 하는 방법으로 바꾸기
1. [x] 푸시 전송
2. [x] 푸시 변경

---
## 7일(금)
### 1. PUSH API 만들기
1. [X] 푸시 삭제하기 [./push/delete]
2. [ ] 사용자가 받은 전체 푸시 확인 [./push/list]

### 2. log 기록 남게 만들기
1. [ ] 유저 관련 테이블들 로그 기록 만들기
2. [ ] 푸시 관련 테이블들 로그 기록 만들기

### 3. 출력 및 오류 메세지 알아보기 쉽게 변경하기
1. [X] 메세지 출력에 summary 추가하기 

### 4. DB 저장 & 삭제 로직 변경하기
1. [X] 저장 로직 통일하기
2. [X] 삭제 로직 통일하기

---
## 10일(월)
### 1. PUSH API 만들기 
1. [X] 사용자가 받은 전체 푸시 확인 [./push/list]
2. [X] 사용자가 받은 푸시 목록 삭제 [./push/delete/list]

### 2. log 기록 남게 만들기
1. [ ] 유저 관련 테이블들 로그 기록 만들기
2. [X] 푸시 관련 테이블들 로그 기록 만들기

### 3. PUSH API 로직 변경
1. [X] 전송 로직 변경
2. [X] 케비닛 저장 로직 변경

---
## 11일(화)
### 1. USER API 점검 및 수정
1. [X] 회원 정보 조회 [./user]
2. [X] 회원 가입 [./user/register]
3. [X] 로그인 [./user/login]
4. [X] 로그아웃 [./user/logout]
5. [X] 학원 조회 [./user/academy]

### 2. USER API 로그 기록 만들기
1. [X] 필요한 위치에 등록하기

### 3. USER API 만들기
1. [X] 회원 탈퇴 [./user/cancel]
2. [ ] [보류] 회원 정보 변경 [./user/set]
   - 근데 회원 정보를 변경하는게 뭐뭐를 변경해야 하는지 아직 정해진게 없어서 이건 일단 보류

---
## 19일(수)
- 모바일(iOS) 앱 작업을 진행하다가 문제를 발견해서 해결중
### 1. Header 및 접근 보안 이슈
1. [X] 헤더 접근 방식 반영하기
2. [ ] 헤더 접근 위한 고유한 값 생성하기
   - 로그 저장 안되는 문제 발생

---
## 20일(수)
### 1. Header 및 접근 보안 이슈
1. [X] 헤더 접근 위한 고유값 생성 후 로그 저장에서 발생하는 이슈 확인
   - dbSet에 등록을 안했던 문제였음
2. [ ] 이거 헤더 필터 제대로 안걸림

### 2. iOS 앱 과 연결
1. [ ] 앱에서 데이터 받아 사용자 정보 관리 정상적으로 작동되는지 확인