using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Back.Program.Models.Entities
{
    [Table("academy")]
    public class Academy
    {
        [Key]
        public string bid { get; set; }
        public string business_name { get; set; }
        public string business_owner { get; set; }
        public string business_number { get; set; }
        public DateTime business_date { get; set; }
        public string business_address { get; set; }
        public string business_contact { get; set; }
        public string uid { get; set; }
    }

// -- -- -- -- -- DB 테이블 -- -- -- -- -- //

    public class AcademyName
    {
        public string bid { get; set; }
        public string name { get; set; }
    }

    public class RequestAcademy
    {
        public List<string> bids { get; set; }
    }
}