using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Back.Program.Models.Entities
{
    [Table("log_project")]
    public class LogProject
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int lid { get; set; }
        public DateTime create_date {get; set;}
        public string log { get; set; }
    }



    [Table("log_push")]
    public class LogPush
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int lid { get; set; }
        public string bid {get; set;}
        public string pid {get; set;}
        public DateTime create_date {get; set;}
        public string create_uid {get; set;}
        public string log { get; set; }
    }

    [Table("log_user")]
    public class LogUser
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int lid { get; set; }
        public string uid {get; set;}
        public DateTime create_date {get; set;}
        public string create_uid {get; set;}
        public string log { get; set; }
        
        
    }
}