using Back.Program.Models.Entities;

namespace Back.Program.Repositories.V1.Interfaces;

public interface IPushRepository
{
    Task<bool> FindAcademy(string bid);
    Task<List<DBPayload>> FindPushList(string bid, string? pid, string? category);
    Task<DBPayload?> FindPushPayload(string bid, string pid);
    Task<bool> FindUserAcademy(string uid, string bid);
    Task<int> CountBadge(string uid);
    Task<string?> FindPushToken(string uid);
    Task<PushCabinet?> FindPushCabinet(int id);
    Task<List<PushCabinet>> FindPushCabinet(string uid, int size);
    Task<List<PushCabinet>> FindPushCabinet(int id, int size);
    
    
}