using Back.Program.Common.Model;

namespace Back.Program.Services.V1.Interfaces;

public interface IAppService
{
    Task<APIResponseStatus<object>> GetHeader(string summary, string type, string specific, string project);
    Task<APIResponseStatus<object>> GetVersion(string summary, string type);
    Task<APIResponseStatus<object>> RetryAccess(string summary, string refresh);
    
}