using System.Linq.Expressions;

namespace Back.Program.Services.V1.Interfaces;

public interface IRepositoryService
{
// Task<ValidateToken> ValidateToken(string token, string refresh);
    Task<bool> SaveData<T>(T entity, Expression<Func<T, object>> key = null) where T : class;
    Task<bool> DeleteData<T>(T entity, Expression<Func<T, object>> key = null) where T : class;
    String ReadSummary(Type type, String name);
    Task SendFrontData<T>(T data, string url);
}