using Back.Program.Common.Model;
using Back.Program.Models.Entities;

namespace Back.Program.Services.V1.Interfaces
{
    public interface IUserService
    {
        Task<APIResponseStatus<object>> GetUser(string summary, string token);
        Task<APIResponseStatus<object>> Login(string summary, string accType, string snsId);
        Task<APIResponseStatus<object>> Register(string summary, UserAll request);
        Task<APIResponseStatus<object>> Logout(string summary, string token);
        Task<APIResponseStatus<object>> Cancel(string summary, string token);
        Task<APIResponseStatus<object>> GetAcademy(string summary, string token);
        Task<APIResponseStatus<object>> GetSessionData(string summary);
    }
}